Skip to main content
GET
/
api
/
v1
/
issues
/
{issueId}
/
events
cURL
curl --request GET \
  --url https://api.staging.qyl.dev/api/v1/issues/{issueId}/events
{
  "items": [
    {
      "id": "<string>",
      "issue_id": "<string>",
      "timestamp": "2023-11-07T05:31:56Z",
      "trace_id": "<string>",
      "span_id": "<string>",
      "message": "<string>",
      "stack_trace": "<string>",
      "stack_frames_json": "<string>",
      "environment": "<string>",
      "release_version": "<string>",
      "user_id": "<string>",
      "user_ip": "<string>",
      "request_url": "<string>",
      "request_method": "<string>",
      "browser": "<string>",
      "os": "<string>",
      "device": "<string>",
      "runtime": "<string>",
      "runtime_version": "<string>",
      "context_json": "<string>",
      "tags_json": "<string>"
    }
  ],
  "has_more": true,
  "next_cursor": "<string>",
  "prev_cursor": "<string>"
}

Path Parameters

issueId
string
required

Query Parameters

limit
integer<int32>
default:20

Page size

Required range: 1 <= x <= 100
cursor
string

Cursor

Response

The request has succeeded.

Cursor-based paginated response wrapper

items
object[]
required

List of items in this page

has_more
boolean
required

Whether there are more items available

next_cursor
string

Cursor for the next page (null if no more pages)

prev_cursor
string

Cursor for the previous page (null if first page)